Bug 988991 - Update gmock to 1.6.0
Update gmock to 1.6.0
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gmock (Show other bugs)
20
All Linux
high Severity low
: ---
: ---
Assigned To: Timothy St. Clair
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 16:49 EDT by Igor Gnatenko
Modified: 2014-07-02 02:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 02:17:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2013-07-26 16:49:40 EDT
Update it! Please.
https://googlemock.googlecode.com/files/gmock-1.6.0.zip
Comment 1 Timothy St. Clair 2013-07-26 16:52:55 EDT
I've requested acls to update both gmock and gtest.
Comment 2 Timothy St. Clair 2013-07-26 17:14:34 EDT
Also, there is a symbol collision when working with the versions of gmock and gtest that are in the repo in the cases where both are included.
Comment 3 Terje Røsten 2013-07-27 04:58:40 EDT
Hi guys,

let's try to find a solution, hoewever please consider:

https://bugzilla.redhat.com/show_bug.cgi?id=737268

first.
Comment 4 Timothy St. Clair 2013-07-29 11:16:24 EDT
Re: the comments about 'make install' 

https://groups.google.com/forum/#!topic/googletestframework/Zo7_HOv1MJ0

I'm not certain how we should handle *this.  Just ignore?
Comment 5 Timothy St. Clair 2013-07-29 11:54:01 EDT
Ok, after reading the threads it looks like this will become a source only package, and any downstream packages that depend on it will have to rebuild with their flags (non-ideal), but doable.
Comment 6 Terje Røsten 2013-07-29 11:55:04 EDT
Might want to discuss this on -devel?
Comment 7 Timothy St. Clair 2013-07-29 17:08:49 EDT
push on master 
1c16ad1..a507f0a  master -> master
upgrades to 1.6.0 and has a 1st cut patch to setup an install.

It still requires a review of how we will deal with /src/ install, and it's missing the scripts too.
Comment 8 Timothy St. Clair 2013-07-30 12:39:06 EDT
I've updated latest spec and patches in the fedora repos:
a507f0a..8798e6d  master -> master

But I have not yet spun through koji.  I'm hoping others can take a look and try to determine what dependency breakage (if any) could ensure.
Comment 9 Timothy St. Clair 2013-07-31 12:39:09 EDT
updated our install.patch and submitted an upstream issue: https://code.google.com/p/googlemock/issues/detail?id=163
Comment 10 Timothy St. Clair 2013-08-01 15:01:32 EDT
built, we may inadvertently break some dependent packages on *this.
Comment 11 Björn "besser82" Esser 2013-08-15 15:10:12 EDT
May we get this to F19 as well?
Comment 12 Fedora End Of Life 2013-09-16 13:02:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Note You need to log in before you can comment on or make changes to this bug.